View Issue Details

IDProjectCategoryView StatusLast Update
0019201MediaMonkey for AndroidPlaylistspublic2022-12-01 21:55
Reporterpeke Assigned To 
PriorityurgentSeveritymajorReproducibilityN/A
Status closedResolutionfixed 
Product Version2.0.0 
Target Version2.0.0Fixed in Version2.0.0 
Summary0019201: Add to Playlists: Doesn't support subplaylists
Descriptioni) Add to Playlist only allow adding to root playlists not any existing subplaylists

ii) Add to Playlist icon is not clear that it will present adding track to new sub playlist

iii) Adding track potentially to New Sub Playlist is not clear it should be
"Add to playlist: xxxxxx"
---------
Enter new sub playlist name:
 [Create new and add]
---------
[Cancel] [Add]"
Steps To Reproducei) Steps:
1. Create Subplaylist
2. Select any tracks in librray
3. ⋮ -> Add to playlist
4. Only Root playlists are shown

TagsNo tags attached.
Fixed in build1025

Relationships

related to 0012272 closedmartin Playlist workflow has extra unnecessary steps 

Activities

peke

2022-06-20 23:41

developer  

image.png (89,622 bytes)   
image.png (89,622 bytes)   
image-2.png (90,085 bytes)   
image-2.png (90,085 bytes)   
image-3.png (98,763 bytes)   
image-3.png (98,763 bytes)   

rusty

2022-09-01 21:20

administrator   ~0069148

There's definitely a bug that's it's not possible to add to a subplaylist.

Note: I think that the following implementation would be much cleaner:
1) Hierarchy should be represented in a similar manner to the 'Playlists' node. i.e.
- Container's can be represented with a folder + the number of playlists contained
- Clicking a playlist opens a playlist; Clicking a container opens the container

2) At the bottom of the list, there can be Buttons that allow the user to: [Add] [New Playlist] [Cancel] . i.e.
[Add] To the current Playlist/Container (doesn't appear for the root Playlist node)
[New Playlist] Creates a new playlist in the root Playlist node or the current Playlist node

martin

2022-09-07 16:34

developer   ~0069178

Fixed in build 2.0.0.1025

peke

2022-12-01 21:55

developer   ~0070490

Verified 1032